<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>REGISTROS</title>
    <link rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
    <link href="estilos.css" rel="stylesheet" />    
</head>
<body>
    <div class="lista1">
        <h1>Lista de Estudiantes JSON</h1>
        <div class="section">
            <a  class="boton" id="boton">Mostrar Lista JSON</a>                            
            <table>
                    <tr>
                        <th>Cedula</th>
                        <th>Nombre</th>
                        <th>Dirección</th>
                        <th>Telefono</th>
                        <th>Correo</th>
                        <th>Curso</th>
                        <th>Paralelo</th>
                    </tr>
                <tbody id="res">
                </tbody>
            </table>
        </div>
    </div>


    <div id="lista2" class="lista2">
        <h1>Lista de Estudiantes XML</h1>        
        <a  class="boton" id="CargarDatos">Mostrar Lista XML</a>
        <table id="demo">
            <script>
                    document.getElementById("CargarDatos").addEventListener("click", CargarDatos);

                    function CargarDatos() {
                    var xhr = new XMLHttpRequest();
                    xhr.onreadystatechange = function() {
                        if(this.readyState == 4 && this.status == 200){
                            cargarXML(this);
                        }
                    }
                    xhr.open("GET", "estudiantes.xml", true);
                    xhr.send();
                    }
                    function cargarXML(xml) {
                    var docXML = xml.responseXML;
                    var tabla="<tr><th>Cedula</th><th>Nombre</th><th>Direccion</th><th>Telefono</th><th>Correo</th><th>Curso</th><th>Paralelo</th></tr>";
                    var registro = docXML.getElementsByTagName("CD");
                    for (var i = 0; i <registro.length; i++) { 
                        tabla += "<tr><td>";
                        tabla += registro[i].getElementsByTagName("CEDULA")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("NOMBRE")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("DIRECCION")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("TELEFONO")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("CORREO")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("CURSO")[0].textContent;
                        tabla += "</td><td>";
                        tabla += registro[i].getElementsByTagName("PARALELO")[0].textContent;
                        tabla += "</td></tr>";
                    }
                    document.getElementById("demo").innerHTML = tabla;
                    }
            </script>
        </table>
    </div>
    <script src="main.js"></script>
</body>
</html>